Subject: Re: linux-next: build failure after merge of the battery tree

From: Enric Balletbo i Serra <[email-masked]>
Date: Mon, 1 Jul 2019 15:22:17 +0200

Hi Sebastian,

In case is not too late for you. Otherwise we will need to wait for next cycle.

The following changes since commit a188339ca5a396acc588e5851ed7e19f66b0ebd9:

  Linux 5.2-rc1 (2019-05-19 15:47:09 -0700)

are available in the Git repository at:

  https://git.kernel.org/pub/scm/linux/kernel/git/chrome-platform/linux.git
tags/ib-chrome-psy-5.3

for you to fetch changes up to 0c0b7ea23aed0b55ef2f9803f13ddaae1943713d:

  platform/chrome: wilco_ec: Add property helper library (2019-05-20 10:18:09 +0200)

----------------------------------------------------------------
Immutable branch between Power Supply and Chrome Platform due for the v5.3 merge
window

----------------------------------------------------------------
Nick Crews (1):
      platform/chrome: wilco_ec: Add property helper library

 drivers/platform/chrome/wilco_ec/Makefile     |   2 +-
 drivers/platform/chrome/wilco_ec/properties.c | 132 ++++++++++++++++++++++++++
 include/linux/platform_data/wilco-ec.h        |  71 ++++++++++++++
 3 files changed, 204 insertions(+), 1 deletion(-)
 create mode 100644 drivers/platform/chrome/wilco_ec/properties.c

On 29/6/19 2:33, Stephen Rothwell wrote:
> Hi Enric,
> 
> On Fri, 28 Jun 2019 18:56:56 +0200 Enric Balletbo i Serra <[email-masked]> wrote:
>>
>> Hmm, I just applied this patch on top of linux-next and it build with
>> allmodconfig on x86_64
>>
>> I am wondering if the build was done without this commit, which is in
>> chrome-platform for-next branch. Could be this the problem?
>>
>> commit 0c0b7ea23aed0b55ef2f9803f13ddaae1943713d
>> Author: Nick Crews <[email-masked]>
>> Date:   Wed Apr 24 10:56:50 2019 -0600
>>
>>     platform/chrome: wilco_ec: Add property helper library
> 
> Exactly since I merge the battery tree before the chrome-platform
> tree ... Cross tree dependencies are a pain.
> 
>> Anyway, I think the proper way to do it is create an immutable branch for
>> Sebastian as the patch he picked depends on the above commit. I'll create one,
>> sorry about that missing dependency.
> 
> Thanks.
>